import { Box, Tab } from "@mui/material";
import {TabContext, TabList, TabPanel} from '@mui/lab';
import React from "react";
import Collapsible from "../components/Collapsible";

export function Wiki  () {

  return (
       <>
      <div className="row">
        <div className="col">
          <WikiTabs></WikiTabs>
        </div>
      </div>
      <div className="row">
        <div className="d-flex flex-column justify-content-center align-items-center">
        </div>
      </div>
    </>
  );
}


export function WikiTabs() {
  const [value, setValue] = React.useState('1');

  const handleChange = (_event: React.SyntheticEvent, newValue: string) => {
    setValue(newValue);
  };

  return (
    <Box sx={{ width: '100%', typography: 'body1' }}>
      <TabContext value={value}>
        <Box sx={{ borderBottom: 1, borderColor: 'divider' }}>
          <TabList onChange={handleChange} aria-label="lab API tabs example">
            <Tab label="About" value="1" />
            <Tab label="Troubleshooting" value="2" />
            <Tab label="Components" value="3" />
            <Tab label="Downloads" value="4" />
            <Tab label="Resources" value="5" />
          </TabList>
        </Box>
        <TabPanel value="1">   </TabPanel>
        <TabPanel value="2"> <Troubleshooting/> </TabPanel>
        <TabPanel value="3">  </TabPanel>
        <TabPanel value="4">   </TabPanel>
        <TabPanel value="5">  <Sources/> </TabPanel>
      </TabContext>
    </Box>
  );
}

function Sources(){
  return(
    <div>
      <Collapsible title="Images and Icons" >
      Most teams need a lot of pictures, components, icons and alike. They can be difficult to find, especially free and open source ones.
      
        <ul>
          <li> <a href="https://bioicons.com/"> https://bioicons.com/</a> </li>
          <li> <a href="https://togotv.dbcls.jp/en/pics.html" > https://togotv.dbcls.jp/en/pics.html </a> </li>
          <li> <a href="https://smart.servier.com/" >https://smart.servier.com/</a> </li>
          <li> <a href="https://openclipart.org/" > https://openclipart.org/</a> </li>
          <li> <a href="https://commons.wikimedia.org/wiki/Category:SVG_files" >https://commons.wikimedia.org/wiki/Category:SVG_files</a> </li>
          <li> <a href="https://www.flaticon.com/">https://www.flaticon.com/</a> </li>
          <li> <a href="https://biologicalicons.com/en">https://biologicalicons.com/en</a> </li>
          <li> <a href="https://www.svgrepo.com/">https://www.svgrepo.com/</a> </li>
          <li> <a href="https://www.humanbiomedia.org/">https://www.humanbiomedia.org/</a> </li>
        </ul>

      </Collapsible>
    </div>
  )
}

function Troubleshooting(){
  return(
    <div>
      <h3>React</h3>
      <h4>Types and properties</h4>
      <Collapsible title="Argument of type X is not assignable to parameter of type Y.">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>
      <Collapsible title="Type X is not assignable to type Y.">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>
      <Collapsible title="Property x is missing in type y but required in type z.">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>
      <Collapsible title="Property x does not exist on type Y.">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>
      <Collapsible title="Type X is missing the following properties from type Y: a, b, c">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>
      <Collapsible title="Type 'x | undefined' is not assignable to type 'x'.">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>
      <Collapsible title="Type 'undefined' cannot be used as an index type">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>

      <h4>Overloads</h4>
      <Collapsible title="No overload matches this call.">
      <h6>Example</h6>
      <h6>Solutions</h6>
      </Collapsible>

      <h4>Other</h4>
      <Collapsible title="Module Z has already exported a member named A. Consider explicitly re-exporting to resolve the ambiguity.">
      <h6>Example</h6>
      index.tsx: 
      <p className="error"> Module "./Bfh.tsx" has already exported a member named 'LabTabs'. Consider explicitly re-exporting to resolve the ambiguity.</p>
      <h6>Solutions</h6>
      Simply rename the function in one of the modules or consider making it a component if you plan on using it frequently.  
      </Collapsible>

    </div>
  )
}